# Update a Custom Item

Make changes to a custom item. Any blank parameter deletes an old value, any unspecified parameter does nothing

Endpoint: PATCH /custom-items/{id}
Version: 20260701
Security: X-API-KEY, Authorization

## Path parameters:

  - `id` (string, required)
    The uberall unique id for the custom item

## Request fields (application/json):

  - `title` (string, required)
    mandatory, the custom name, e.g. 'Strong Coffee'

  - `description` (string)

  - `identifier` (string)

  - `listName` (string)

  - `id` (integer)
    The uberall unique id for the custom item

  - `price` (integer)
    optional, the price of the custom, e.g. 1500 ( i.e. 15,00 EUR )

  - `currency` (object)
    optional, indicating the currency for price and priceMax in ISO-4217, e.g. EUR

  - `category` (string)
    optional, a category name, e.g. 'Coffee'
    Example: Coffee

  - `video` (object)
    optional, a video about the custom

  - `video.id` (integer)
    Identifier of the video in our system

  - `video.url` (string)
    Url of the video

  - `video.description` (string)
    Text description of the Video

  - `video.type` (string)
    Video Platform. Values: [YOUTUBE, VIMEO]
    Enum: "YOUTUBE", "VIMEO", "UBERALL"

  - `unit` (string)
    optional, indicating the unit of measure, e.g. 'per kg'
    Example: per kg

  - `url` (string)
    optional, a url related to the custom item

  - `priceMax` (integer)
    optional, indicating there is a price range, e.g. 2500 ( i.e. 25,00 EUR )

  - `image` (object)
    Image of the custom-item (use the Image object format)

  - `image.id` (integer)
    The uberall unique id for the image

  - `image.url` (string, required)
    Image url

  - `image.type` (string, required)
    The image type, one of [LOGO, MAIN, IMAGE]
    Enum: "LOGO", "MAIN", "IMAGE"

  - `image.description` (string)
    Description of the image

  - `image.uid` (string, required)
    user identifier of the image

## Response 200 fields (application/json):

  - `status` (string, required)
    Enum: "SUCCESS", "PENDING", "QUOTA_LIMIT_EXCEED", "NOT_AUTHORIZED", "FORBIDDEN", "BAD_ACCESS_TOKEN", "BAD_PRIVATE_KEY", "BAD_PUBLIC_KEY", "MISSING_PARAMETER", "INVALID_PARAMETER", "WRONG_PARAMETER_TYPE", "CONFLICT", "RESOURCE_LOCKED", "SERVER_ERROR", "ERROR", "NOT_FOUND", "BAD_REQUEST", "USER_ERROR", "PARTIAL_ERROR", "SERVICE_TEMPORARILY_UNAVAILABLE"

  - `message` (string)
    (optional) Holds further information about the response

  - `warnings` (array)
    (optional) Holds further warnings

  - `response` (object, required)
    The actual response object of the response

  - `response.customItem` (object)
    Custom Item

  - `response.customItem.title` (string, required)
    mandatory, the custom name, e.g. 'Strong Coffee'

  - `response.customItem.description` (string)

  - `response.customItem.identifier` (string)

  - `response.customItem.listName` (string)

  - `response.customItem.id` (integer)
    The uberall unique id for the custom item

  - `response.customItem.price` (integer)
    optional, the price of the custom, e.g. 1500 ( i.e. 15,00 EUR )

  - `response.customItem.currency` (object)
    optional, indicating the currency for price and priceMax in ISO-4217, e.g. EUR

  - `response.customItem.category` (string)
    optional, a category name, e.g. 'Coffee'
    Example: Coffee

  - `response.customItem.video` (object)
    optional, a video about the custom

  - `response.customItem.video.id` (integer)
    Identifier of the video in our system

  - `response.customItem.video.url` (string)
    Url of the video

  - `response.customItem.video.description` (string)
    Text description of the Video

  - `response.customItem.video.type` (string)
    Video Platform. Values: [YOUTUBE, VIMEO]
    Enum: "YOUTUBE", "VIMEO", "UBERALL"

  - `response.customItem.unit` (string)
    optional, indicating the unit of measure, e.g. 'per kg'
    Example: per kg

  - `response.customItem.url` (string)
    optional, a url related to the custom item

  - `response.customItem.priceMax` (integer)
    optional, indicating there is a price range, e.g. 2500 ( i.e. 25,00 EUR )

  - `response.customItem.image` (object)
    Image of the custom-item (use the Image object format)

  - `response.customItem.image.id` (integer)
    The uberall unique id for the image

  - `response.customItem.image.url` (string, required)
    Image url

  - `response.customItem.image.type` (string, required)
    The image type, one of [LOGO, MAIN, IMAGE]
    Enum: "LOGO", "MAIN", "IMAGE"

  - `response.customItem.image.description` (string)
    Description of the image

  - `response.customItem.image.uid` (string, required)
    user identifier of the image

## Response 400 fields (application/json):

  - `status` (string, required)
    Enum: "SUCCESS", "PENDING", "QUOTA_LIMIT_EXCEED", "NOT_AUTHORIZED", "FORBIDDEN", "BAD_ACCESS_TOKEN", "BAD_PRIVATE_KEY", "BAD_PUBLIC_KEY", "MISSING_PARAMETER", "INVALID_PARAMETER", "WRONG_PARAMETER_TYPE", "CONFLICT", "RESOURCE_LOCKED", "SERVER_ERROR", "ERROR", "NOT_FOUND", "BAD_REQUEST", "USER_ERROR", "PARTIAL_ERROR", "SERVICE_TEMPORARILY_UNAVAILABLE"

  - `message` (string)
    (optional) Holds further information about the response

  - `errorCode` (string)
    Enum: "NORMALIZATION_FAILED", "DATA_CORRUPTED", "INVALID_INPUT", "NOT_SYNCABLE", "PAYMENT_FAILED", "FREE_TIER_REACHED", "LIMIT_REACHED", "INACTIVE", "UNKNOWN", "IDENTIFIER_NOT_UNIQUE", "ACCOUNT_WAITING_FOR_AUTO_PAGE_SELECT", "NO_ACCOUNT_CONNECTED", "NO_PAGE_SELECTED", "PAGE_NOT_CREATED", "PAGE_IN_REVIEW", "PAGE_CLAIMED_BY_OTHERS", "OVERLAPPING_SOCIALPOST", "TOO_MANY_REPLIES", "REPLY_TOO_LONG", "DEPRECATED"

  - `response` (object)
    (optional) The actual response object of the response

## Response 401 fields (application/json):

  - `status` (string, required)
    Enum: "SUCCESS", "PENDING", "QUOTA_LIMIT_EXCEED", "NOT_AUTHORIZED", "FORBIDDEN", "BAD_ACCESS_TOKEN", "BAD_PRIVATE_KEY", "BAD_PUBLIC_KEY", "MISSING_PARAMETER", "INVALID_PARAMETER", "WRONG_PARAMETER_TYPE", "CONFLICT", "RESOURCE_LOCKED", "SERVER_ERROR", "ERROR", "NOT_FOUND", "BAD_REQUEST", "USER_ERROR", "PARTIAL_ERROR", "SERVICE_TEMPORARILY_UNAVAILABLE"

  - `message` (string)
    (optional) Holds further information about the response

  - `errorCode` (string)
    Enum: "NORMALIZATION_FAILED", "DATA_CORRUPTED", "INVALID_INPUT", "NOT_SYNCABLE", "PAYMENT_FAILED", "FREE_TIER_REACHED", "LIMIT_REACHED", "INACTIVE", "UNKNOWN", "IDENTIFIER_NOT_UNIQUE", "ACCOUNT_WAITING_FOR_AUTO_PAGE_SELECT", "NO_ACCOUNT_CONNECTED", "NO_PAGE_SELECTED", "PAGE_NOT_CREATED", "PAGE_IN_REVIEW", "PAGE_CLAIMED_BY_OTHERS", "OVERLAPPING_SOCIALPOST", "TOO_MANY_REPLIES", "REPLY_TOO_LONG", "DEPRECATED"

  - `response` (object)
    (optional) The actual response object of the response

## Response 403 fields (application/json):

  - `status` (string, required)
    Enum: "SUCCESS", "PENDING", "QUOTA_LIMIT_EXCEED", "NOT_AUTHORIZED", "FORBIDDEN", "BAD_ACCESS_TOKEN", "BAD_PRIVATE_KEY", "BAD_PUBLIC_KEY", "MISSING_PARAMETER", "INVALID_PARAMETER", "WRONG_PARAMETER_TYPE", "CONFLICT", "RESOURCE_LOCKED", "SERVER_ERROR", "ERROR", "NOT_FOUND", "BAD_REQUEST", "USER_ERROR", "PARTIAL_ERROR", "SERVICE_TEMPORARILY_UNAVAILABLE"

  - `message` (string)
    (optional) Holds further information about the response

  - `errorCode` (string)
    Enum: "NORMALIZATION_FAILED", "DATA_CORRUPTED", "INVALID_INPUT", "NOT_SYNCABLE", "PAYMENT_FAILED", "FREE_TIER_REACHED", "LIMIT_REACHED", "INACTIVE", "UNKNOWN", "IDENTIFIER_NOT_UNIQUE", "ACCOUNT_WAITING_FOR_AUTO_PAGE_SELECT", "NO_ACCOUNT_CONNECTED", "NO_PAGE_SELECTED", "PAGE_NOT_CREATED", "PAGE_IN_REVIEW", "PAGE_CLAIMED_BY_OTHERS", "OVERLAPPING_SOCIALPOST", "TOO_MANY_REPLIES", "REPLY_TOO_LONG", "DEPRECATED"

  - `response` (object)
    (optional) The actual response object of the response

## Response 404 fields (application/json):

  - `status` (string, required)
    Enum: "SUCCESS", "PENDING", "QUOTA_LIMIT_EXCEED", "NOT_AUTHORIZED", "FORBIDDEN", "BAD_ACCESS_TOKEN", "BAD_PRIVATE_KEY", "BAD_PUBLIC_KEY", "MISSING_PARAMETER", "INVALID_PARAMETER", "WRONG_PARAMETER_TYPE", "CONFLICT", "RESOURCE_LOCKED", "SERVER_ERROR", "ERROR", "NOT_FOUND", "BAD_REQUEST", "USER_ERROR", "PARTIAL_ERROR", "SERVICE_TEMPORARILY_UNAVAILABLE"

  - `message` (string)
    (optional) Holds further information about the response

  - `errorCode` (string)
    Enum: "NORMALIZATION_FAILED", "DATA_CORRUPTED", "INVALID_INPUT", "NOT_SYNCABLE", "PAYMENT_FAILED", "FREE_TIER_REACHED", "LIMIT_REACHED", "INACTIVE", "UNKNOWN", "IDENTIFIER_NOT_UNIQUE", "ACCOUNT_WAITING_FOR_AUTO_PAGE_SELECT", "NO_ACCOUNT_CONNECTED", "NO_PAGE_SELECTED", "PAGE_NOT_CREATED", "PAGE_IN_REVIEW", "PAGE_CLAIMED_BY_OTHERS", "OVERLAPPING_SOCIALPOST", "TOO_MANY_REPLIES", "REPLY_TOO_LONG", "DEPRECATED"

  - `response` (object)
    (optional) The actual response object of the response

## Response 409 fields (application/json):

  - `status` (string, required)
    Enum: "SUCCESS", "PENDING", "QUOTA_LIMIT_EXCEED", "NOT_AUTHORIZED", "FORBIDDEN", "BAD_ACCESS_TOKEN", "BAD_PRIVATE_KEY", "BAD_PUBLIC_KEY", "MISSING_PARAMETER", "INVALID_PARAMETER", "WRONG_PARAMETER_TYPE", "CONFLICT", "RESOURCE_LOCKED", "SERVER_ERROR", "ERROR", "NOT_FOUND", "BAD_REQUEST", "USER_ERROR", "PARTIAL_ERROR", "SERVICE_TEMPORARILY_UNAVAILABLE"

  - `message` (string)
    (optional) Holds further information about the response

  - `errorCode` (string)
    Enum: "NORMALIZATION_FAILED", "DATA_CORRUPTED", "INVALID_INPUT", "NOT_SYNCABLE", "PAYMENT_FAILED", "FREE_TIER_REACHED", "LIMIT_REACHED", "INACTIVE", "UNKNOWN", "IDENTIFIER_NOT_UNIQUE", "ACCOUNT_WAITING_FOR_AUTO_PAGE_SELECT", "NO_ACCOUNT_CONNECTED", "NO_PAGE_SELECTED", "PAGE_NOT_CREATED", "PAGE_IN_REVIEW", "PAGE_CLAIMED_BY_OTHERS", "OVERLAPPING_SOCIALPOST", "TOO_MANY_REPLIES", "REPLY_TOO_LONG", "DEPRECATED"

  - `response` (object)
    (optional) The actual response object of the response

